mailarchive of the ptxdist mailing list
 help / color / mirror / Atom feed
From: Michael Olbrich <m.olbrich@pengutronix.de>
To: ptxdist@pengutronix.de
Subject: Re: [ptxdist] [PATCH 1/4] ncurses: version bump 5.9 -> 6.1
Date: Thu, 22 Feb 2018 09:17:02 +0100	[thread overview]
Message-ID: <20180222081702.wfk7kpog4rfmkzxz@pengutronix.de> (raw)
In-Reply-To: <20180222081220.movvdagejb7pen6e@pengutronix.de>

Hi,

On Thu, Feb 22, 2018 at 09:12:20AM +0100, Michael Olbrich wrote:
> I took a closer look at this and checked what Debian is doing. I've
> attached a fixup patch that changes a few things:
> 
> - use abi version 5. Some packages lock for that version explicitly.
> - use linker scripts too deal with the tinfo problem

This breaks install_lib. You'll need this fix for this:

diff --git a/scripts/lib/ptxd_make_xpkg_pkg.sh b/scripts/lib/ptxd_make_xpkg_pkg.sh
index eb3452e3ad9f..45b3c394b4b3 100644
--- a/scripts/lib/ptxd_make_xpkg_pkg.sh
+++ b/scripts/lib/ptxd_make_xpkg_pkg.sh
@@ -883,7 +883,10 @@ ptxd_install_lib() {
     fi
 
     local file="$(for dir in "${pkg_pkg_dir}"${root_dir}{/,/usr/}${lib_dir}; do
-	    find "${dir}" -type f -path "${dir}/${lib}.so*" ! -name "*.debug"; done 2>/dev/null)"
+	    find "${dir}" -type f -path "${dir}/${lib}.so*" ! -name "*.debug"; done 2>/dev/null \
+	    | while read f; do
+		grep -q '^INPUT(' "${f}" || echo "${f}"
+	    done)"
 
     if [ ! -f "${file}" ]; then
 	ptxd_install_error "ptxd_lib_install: cannot find library '${lib}'!"

I'll push this to master once I'm done testing.

Michael

-- 
Pengutronix e.K.                           |                             |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |
Peiner Str. 6-8, 31137 Hildesheim, Germany | Phone: +49-5121-206917-0    |
Amtsgericht Hildesheim, HRA 2686           | Fax:   +49-5121-206917-5555 |

_______________________________________________
ptxdist mailing list
ptxdist@pengutronix.de

  reply	other threads:[~2018-02-22  8:17 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-02-09 14:12 [ptxdist] [PATCH 0/4] Bring ncurses to year 2018 Ladislav Michl
2018-02-09 14:14 ` [ptxdist] [PATCH 1/4] ncurses: version bump 5.9 -> 6.1 Ladislav Michl
2018-02-12 13:22   ` Michael Olbrich
2018-02-12 13:42     ` Ladislav Michl
2018-02-12 14:28       ` Michael Olbrich
2018-02-22  8:12   ` Michael Olbrich
2018-02-22  8:17     ` Michael Olbrich [this message]
2018-02-22  9:53     ` Ladislav Michl
2018-02-22 10:57       ` Michael Olbrich
2018-02-27 13:18         ` Ladislav Michl
2018-02-27 15:58           ` Ladislav Michl
2018-02-28  5:58           ` Michael Olbrich
2018-02-09 14:14 ` [ptxdist] [PATCH 2/4] dialog: version bump 1.1 -> 1.3 Ladislav Michl
2018-02-14  7:49   ` Michael Olbrich
2018-02-09 14:15 ` [ptxdist] [PATCH 3/4] atop: version bump 1.24 -> 2.3.0 Ladislav Michl
2018-02-14  7:50   ` Michael Olbrich
2018-02-09 14:15 ` [ptxdist] [PATCH 4/4] less: check for tgoto Ladislav Michl

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20180222081702.wfk7kpog4rfmkzxz@pengutronix.de \
    --to=m.olbrich@pengutronix.de \
    --cc=ptxdist@pengutronix.de \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox